export declare const ttlSuffix = "_ttl";
/**
 * Removes all entries
 */
export declare function st_removeAll(): void;
/**
 * Get the length of the storage
 */
export declare function st_size(): number;
/**
 * Checks if local storage is available
 * @return {boolean} Returns <code>true</code> if local storage is available, <code>false</code> if not
 */
export declare function st_isAvailable(): boolean;
/**
 * Checks if local storage is empty
 * @return {boolean} Returns <code>true</code> if local storage is empty, <code>false</code> if not
 */
export declare function st_isEmpty(): boolean;
/**
 * Checks if local storage has entries
 * @return {boolean} Returns <code>true</code> if local storage has entries, <code>false</code> if not
 */
export declare function st_hasEntries(): boolean;
/**
 * Checks if local storage is full
 * @return {boolean} Returns <code>true</code> if local storage is full, <code>false</code> if not
 */
export declare function st_isFull(): boolean;
/**
 * Checks if local storage is not full
 * @return {boolean} Returns <code>true</code> if local storage is not full, <code>false</code> if not
 */
export declare function st_isNotFull(): boolean;
/**
 * <b>!!! WARNING! USE WITH CAUTION ONLY !!!</b>
 * <br/><b>SHOULD NEVER BE USED IN PRODUCTION</b>
 * <br/>Fills the complete local storage up (with garbage)
 * @deprecated
 */
export declare function st_fillUp(): void;
//# sourceMappingURL=common.d.ts.map